import React, { useState, useEffect, forwardRef } from 'react';
import WangEditor from './wangEditorComponent';

function Index({ onChange, value, height, domKey }) {
	return (
		<WangEditor
			key={'cmsContent'}
			height={height}
			value={value}
			domKey={domKey}
			onChangeValue={onChange}
		/>
	);
}

export default forwardRef((props, _ref) => {
	// console.log(props);
	return <Index {...props} />;
});
